device_type: soca9
job_name: SoCA9 Health check
timeouts:
  job:
    minutes: 10
priority: medium
visibility: public
actions:
- deploy:
    timeout:
      minutes: 10
    to: flasher
    images:
      image:
        url: https://images.validation.linaro.org/people.linaro.org/~remi.duraffort/soca9-disk.img.bz2
        compression: bz2
- deploy:
    timeout:
      minutes: 5
    to: tftp
    kernel:
      url: https://images.validation.linaro.org/releases.linaro.org/members/schneider/openembedded/2019.09-warrior/soca9/zImage--4.19.72+git0+7549a49ae5-r0-snarc-soca9-20191003145415.bin
      type: zimage
- command:
    name: j17_off
- command:
    name: j21_on
- command:
    name: j22_off
- command:
    name: j23_off
- command:
    name: j24_off
- boot:
    timeout:
      minutes: 1
    method: bootloader
    bootloader: u-boot
    commands: []
    prompts: [=>]
- test:
    timeout:
      minutes: 4
    interactive:
    - name: basic-cmds
      prompts: ['=> ', '/ # ']
      script:
      - command: echo "u-boot echo test"
        name: echo
        successes:
        - message: u-boot echo test
      - command: version
        name: version
        successes:
        - message: U-Boot
      - command: help test
        name: help
        successes:
        - message: test - minimal test like /bin/sh
      # saveenv and printenv
      - command: setenv test_var test123
      - command: printenv
        name: setenv-and-printenv
        successes:
        - message: test_var=test123
    - name: memory-test
      prompts: ['=> ', '/ # ']
      script:
      # memory test
      # base - print or set address offset
      - command: base
        name: print-default-base-address-offset
        successes:
        - message: 'Base Address: 0x'
      - command: base 00000000
        name: set-address-offset-0x00000000
        successes:
        - message: 'Base Address: 0x00000000'
      - command: base
        name: check-address-offset-0x00000000
        successes:
        - message: 'Base Address: 0x00000000'
      # mw - memory write
      # md - memory display
      - command: mw 100000 aabbccdd 10
      - command: md 100000 10
        name: mw-md-100000
        successes:
        - message: aabbccdd
      # md - memory display
      # cp - memory copy
      - command: cp 100000 200000 10
      - command: md 200000 10
        name: cp-md-200000
        successes:
        - message: aabbccdd
      # cmp - memory compare
      - command: cmp 100000 200000 10
        name: cmp-100000-200000-10
        successes:
        - message: Total of 16 word\(s\) were the same
    - name: dhcp-cmds
      prompts: ['=> ', '/ # ']
      script:
      # dhcp
      - command: run FPGA_INIT
        successes:
        - message: FPGA updated to correct revision.
        name: fpga_init
      - command: setenv autoload no ; dhcp ; dhcp
        name: dhcp
        successes:
        - message: DHCP client bound to address
    - name: tftp-cmds
      prompts: ['=> ', '/ # ']
      script:
      # TFTP
      - command: setenv serverip {SERVER_IP} ; tftp 0x01000000 {KERNEL}
        name: tftp
        successes:
        - message: 'Bytes transferred = 6752784'
notify:
  criteria:
    status: incomplete
  recipients:
    - to:
        method: email
        email: ryan.harkin@linaro.org
  verbosity: verbose
